'use strict'

/* eslint-env jest */

import { ENEDIS_DAY_DOCTYPE, enedisQueryClient } from 'doctypes'

const mockClient = {
  find: jest.fn(),
  create: jest.fn(),
  destory: jest.fn(),
}

describe('Doctypes queries', () => {
  beforeEach(() => {
    // reset all jest mock calls data before each test
    jest.resetAllMocks()
  })

  it('should find todos correctly with todosQuery', () => {
    enedisQueryClient(mockClient)
    expect(mockClient.find.mock.calls.length).toBe(1)
    expect(mockClient.find.mock.calls[0][0]).toBe(ENEDIS_DAY_DOCTYPE)
  })
})
